Get form settings
curl --request GET \
--url https://formhug.ai/api/v1/forms/{form_token}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://formhug.ai/api/v1/forms/{form_token}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://formhug.ai/api/v1/forms/{form_token}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"locale": "<string>",
"timezone": "<string>",
"after_submission": {
"show_message": {
"rich_text": "<string>",
"text": {
"title": "<string>",
"description": "<string>"
}
},
"redirect": {
"url": "<string>",
"fields": [
"<string>"
]
},
"report": {
"score_based_feedbacks": [
{
"start_point": 123,
"end_point": 123,
"comment": "<string>"
}
]
}
},
"availability": {
"manually_closed": true,
"schedule": {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
},
"entries_limit": 2,
"show_countdown": true,
"show_form_before_open": true
},
"access_control": {
"access_password": "<string>"
},
"submission_options": {
"show_progress": true,
"show_field_number": true
}
}
}{
"error": "<string>"
}Form Settings
Get form settings
Required scope: form:read.
GET
/
api
/
v1
/
forms
/
{form_token}
/
settings
Get form settings
Authorizations
Personal Access Token prefixed with fh_. Sent as Authorization: Bearer fh_xxx.
The scope required by each endpoint is listed in that endpoint's description.
Path Parameters
Form token
Response
Success
Show child attributes
Show child attributes
Last modified on July 9, 2026
Was this page helpful?
⌘I